Bug 801243 - SELinux is preventing /usr/sbin/cherokee-worker from 'create' accesses on the directory 1112.
SELinux is preventing /usr/sbin/cherokee-worker from 'create' accesses on the...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:1efd51bb75ce16954f8201916c7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 21:46 EST by Esteban Contreras-Vazquez
Modified: 2013-02-13 22:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 22:02:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Esteban Contreras-Vazquez 2012-03-07 21:46:41 EST
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.2.7-1.fc16.x86_64
reason:         SELinux is preventing /usr/sbin/cherokee-worker from 'create' accesses on the directory 1112.
time:           Wed 07 Mar 2012 08:46:26 PM CST

description:
:SELinux is preventing /usr/sbin/cherokee-worker from 'create' accesses on the directory 1112.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that cherokee-worker should be allowed create access on the 1112 directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep cherokee-worker /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:httpd_t:s0
:Target Context                system_u:object_r:httpd_var_lib_t:s0
:Target Objects                1112 [ dir ]
:Source                        cherokee-worker
:Source Path                   /usr/sbin/cherokee-worker
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           cherokee-1.2.101-3.fc16.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-75.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.2.7-1.fc16.x86_64 #1 SMP Tue Feb
:                              21 01:40:47 UTC 2012 x86_64 x86_64
:Alert Count                   9
:First Seen                    Sun 04 Mar 2012 07:20:58 PM CST
:Last Seen                     Wed 07 Mar 2012 12:28:11 PM CST
:Local ID                      dd6ee679-7b9f-4017-99e2-ee08f84c3793
:
:Raw Audit Messages
:type=AVC msg=audit(1331144891.543:23): avc:  denied  { create } for  pid=1112 comm="cherokee-worker" name="1112" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:httpd_var_lib_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1331144891.543:23): arch=x86_64 syscall=mkdir success=no exit=EACCES a0=b347b0 a1=1ed a2=ffffffffffffffa0 a3=2a items=0 ppid=1110 pid=1112 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=cherokee-worker exe=/usr/sbin/cherokee-worker subj=system_u:system_r:httpd_t:s0 key=(null)
:
:Hash: cherokee-worker,httpd_t,httpd_var_lib_t,dir,create
:
:audit2allow
:
:#============= httpd_t ==============
:allow httpd_t httpd_var_lib_t:dir create;
:
:audit2allow -R
:
:#============= httpd_t ==============
:allow httpd_t httpd_var_lib_t:dir create;
:
Comment 1 Miroslav Grepl 2012-03-08 04:23:45 EST
This should be fixed in the latest policy.

$ yum update selinux-policy-targeted --enablerepo=updates-testing
Comment 2 Fedora End Of Life 2013-01-16 21:11:36 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 22:02:04 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.